Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.rmi
Interface MAFAgentSystem_RMI

All Superinterfaces:
  java.rmi.Remote

All Known Implementing Classes:
  MAFAgentSystem_RMIImpl, MAFAgentSystem_RMIImpl_Stub

public interface MAFAgentSystem_RMI
extends java.rmi.Remote

Method Summary
`Name` | `create_agent(Name agent_name, AgentProfile agent_profile, byte[] agent, java.lang.String place_name, java.lang.Object[] arguments, ClassName[] class_names, java.lang.String code_base, MAFAgentSystem_RMI class_provider)`
`byte[][]` | `fetch_class(ClassName[] class_name_list, java.lang.String code_base, AgentProfile agent_profile)`
`java.lang.String` | `find_nearby_agent_system_of_profile(AgentProfile profile)`
`AgentStatus` | `get_agent_status(Name agent_name)`
`AgentSystemInfo` | `get_agent_system_info()`
`AuthInfo` | `get_authinfo(Name agent_name)`
`MAFFinder` | `get_MAFFinder()`
`Name[]` | `list_all_agents_of_authority(byte[] authority)`
`Name[]` | `list_all_agents()`
`java.lang.String[]` | `list_all_places()`
`void` | `receive_agent(Name agent_name, AgentProfile agent_profile, byte[] agent, java.lang.String place_name, ClassName[] class_names, java.lang.String code_base, MAFAgentSystem_RMI class_sender)`
`long` | `receive_future_message(Name agent_name, byte[] msg, MAFAgentSystem_RMI message_sender)`
`void` | `receive_future_reply(long return_id, byte[] reply)`
`byte[]` | `receive_message(Name agent_name, byte[] msg)` Messaging
`void` | `receive_oneway_message(Name agent_name, byte[] msg)`
`void` | `resume_agent(Name agent_name)`
`byte[]` | `retract_agent(Name agent_name)` Aglet Specific
`void` | `suspend_agent(Name agent_name)`
`void` | `terminate_agent(Name agent_name)`

Method Detail

### create_agent

    public Name create_agent(Name agent_name,
                             AgentProfile agent_profile,
                             byte[] agent,
                             java.lang.String place_name,
                             java.lang.Object[] arguments,
                             ClassName[] class_names,
                             java.lang.String code_base,
                             MAFAgentSystem_RMI class_provider)
                      throws java.rmi.RemoteException

### fetch_class

    public byte[][] fetch_class(ClassName[] class_name_list,
                                java.lang.String code_base,
                                AgentProfile agent_profile)
                         throws java.rmi.RemoteException

### find_nearby_agent_system_of_profile

    public java.lang.String find_nearby_agent_system_of_profile(AgentProfile profile)
                                                         throws java.rmi.RemoteException

### get_agent_status

    public AgentStatus get_agent_status(Name agent_name)
                                 throws java.rmi.RemoteException

### get_agent_system_info

    public AgentSystemInfo get_agent_system_info()
                                          throws java.rmi.RemoteException

### get_authinfo

    public AuthInfo get_authinfo(Name agent_name)
                          throws java.rmi.RemoteException

### get_MAFFinder

    public MAFFinder get_MAFFinder()
                            throws java.rmi.RemoteException

### list_all_agents

    public Name[] list_all_agents()
                           throws java.rmi.RemoteException

### list_all_agents_of_authority

    public Name[] list_all_agents_of_authority(byte[] authority)
                                        throws java.rmi.RemoteException

### list_all_places

    public java.lang.String[] list_all_places()
                                       throws java.rmi.RemoteException

### receive_agent

    public void receive_agent(Name agent_name,
                              AgentProfile agent_profile,
                              byte[] agent,
                              java.lang.String place_name,
                              ClassName[] class_names,
                              java.lang.String code_base,
                              MAFAgentSystem_RMI class_sender)
                       throws java.rmi.RemoteException

### receive_future_message

    public long receive_future_message(Name agent_name,
                                       byte[] msg,
                                       MAFAgentSystem_RMI message_sender)
                                throws java.rmi.RemoteException

### receive_future_reply

    public void receive_future_reply(long return_id,
                                     byte[] reply)
                              throws java.rmi.RemoteException

### receive_message

    public byte[] receive_message(Name agent_name,
                                  byte[] msg)
                           throws java.rmi.RemoteException

  Messaging

### receive_oneway_message

    public void receive_oneway_message(Name agent_name,
                                       byte[] msg)
                                throws java.rmi.RemoteException

### resume_agent

    public void resume_agent(Name agent_name)
                      throws java.rmi.RemoteException

### retract_agent

    public byte[] retract_agent(Name agent_name)
                         throws java.rmi.RemoteException

  Aglet Specific

### suspend_agent

    public void suspend_agent(Name agent_name)
                       throws java.rmi.RemoteException

### terminate_agent

    public void terminate_agent(Name agent_name)
                         throws java.rmi.RemoteException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD